Subject: Re: bug#72915: Docstrings of add-hook and remove-hook improvement?

From: Tomas Nordin <[email-masked]>
Date: Sun, 15 Sep 2024 11:17:55 +0000

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> Something like:
>>
>>       "Remove FUNCTION from HOOK's functions.
>>     HOOK should be a symbol, and FUNCTION may be any valid function.
>>     Does nothing if HOOK does not currently contain FUNCTION.
>>     Compares functions with `equal`, which means that it can be
>>     slow if FUNCTION is not a symbol.  See `add-hook'.
>
> Ah, now I see that you posted this proposal.  This is a better start
> than what I had.
>
> Should we install it?

This is about the doc of remove-hook. What about the edits in the
add-hook docstring, was that OK? There was a question on the bit about
setting the HOOK to nil, but I think that was sorted out.